Page MenuHomePhabricator

Argument 2 passed to VisualEditorHooks::onDiffViewHeader() must be an instance of Revision, null given
Closed, ResolvedPublic1 Story Points

Description

In VisualEditorHooks:

Catchable fatal error: Argument 2 passed to VisualEditorHooks::onDiffViewHeader() must be an instance of Revision, null given in /srv/mediawiki/php-1.30.0-wmf.7/includes/Hooks.php on line 186

And RevisionSliderHooks:

Catchable fatal error: Argument 2 passed to RevisionSliderHooks::onDiffViewHeader() must be an instance of Revision, null given in /srv/mediawiki/php-1.30.0-wmf.7/includes/Hooks.php on line 186

The hook has a type hint but it needs to accept null for the revision arguments.

Details

Related Gerrit Patches:
mediawiki/extensions/VisualEditor : wmf/1.30.0-wmf.7Set onDiffViewHeader argument defaults = null
mediawiki/extensions/RevisionSlider : wmf/1.30.0-wmf.7Set onDiffViewHeader argument defaults = null
mediawiki/extensions/VisualEditor : masterSet onDiffViewHeader argument defaults = null
mediawiki/extensions/VisualEditor : masterVisualEditorHooks#onDiffViewHeader: Don't add type hint as the hook sucks
mediawiki/extensions/VisualEditor : wmf/1.30.0-wmf.7VisualEditorHooks#onDiffViewHeader: Don't add type hint as the hook sucks

Event Timeline

mmodell created this task.Jun 28 2017, 7:36 PM
Restricted Application added subscribers: Jay8g, TerraCodes, Aklapper. · View Herald TranscriptJun 28 2017, 7:36 PM

Change 361938 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/VisualEditor@master] VisualEditorHooks#onDiffViewHeader: Don't add type hint as the hook sucks

https://gerrit.wikimedia.org/r/361938

Change 361941 had a related patch set uploaded (by 20after4; owner: Jforrester):
[mediawiki/extensions/VisualEditor@wmf/1.30.0-wmf.7] VisualEditorHooks#onDiffViewHeader: Don't add type hint as the hook sucks

https://gerrit.wikimedia.org/r/361941

Change 361938 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] VisualEditorHooks#onDiffViewHeader: Don't add type hint as the hook sucks

https://gerrit.wikimedia.org/r/361938

Change 361941 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@wmf/1.30.0-wmf.7] VisualEditorHooks#onDiffViewHeader: Don't add type hint as the hook sucks

https://gerrit.wikimedia.org/r/361941

mmodell closed this task as Resolved.Jun 28 2017, 8:16 PM
mmodell claimed this task.

Mentioned in SAL (#wikimedia-operations) [2017-06-28T20:17:07Z] <twentyafterfour@tin> Synchronized php-1.30.0-wmf.7/extensions/VisualEditor/VisualEditor.hooks.php: sync https://gerrit.wikimedia.org/r/#/c/361941/ refs T169132 T167536 (duration: 00m 47s)

Change 362064 had a related patch set uploaded (by 20after4; owner: 20after4):
[mediawiki/extensions/VisualEditor@master] Set onDiffViewHeader argument defaults = null

https://gerrit.wikimedia.org/r/362064

Change 362080 had a related patch set uploaded (by 20after4; owner: 20after4):
[mediawiki/extensions/RevisionSlider@master] Set onDiffViewHeader argument defaults = null

https://gerrit.wikimedia.org/r/362080

Note this is also happening in Revision-Slider

mmodell reopened this task as Open.Jun 28 2017, 9:24 PM
mmodell lowered the priority of this task from Unbreak Now! to High.
mmodell added a project: Revision-Slider.
mmodell updated the task description. (Show Details)
Restricted Application added a project: TCB-Team. · View Herald TranscriptJun 28 2017, 9:24 PM
mmodell claimed this task.Jun 28 2017, 9:26 PM
mmodell added a subscriber: Jdforrester-WMF.

Change 362064 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Set onDiffViewHeader argument defaults = null

https://gerrit.wikimedia.org/r/362064

Change 362130 had a related patch set uploaded (by 20after4; owner: 20after4):
[mediawiki/extensions/VisualEditor@wmf/1.30.0-wmf.7] Set onDiffViewHeader argument defaults = null

https://gerrit.wikimedia.org/r/362130

Change 362131 had a related patch set uploaded (by 20after4; owner: 20after4):
[mediawiki/extensions/RevisionSlider@wmf/1.30.0-wmf.7] Set onDiffViewHeader argument defaults = null

https://gerrit.wikimedia.org/r/362131

Change 362131 merged by jenkins-bot:
[mediawiki/extensions/RevisionSlider@wmf/1.30.0-wmf.7] Set onDiffViewHeader argument defaults = null

https://gerrit.wikimedia.org/r/362131

mmodell closed this task as Resolved.Jun 29 2017, 7:12 PM
Jdforrester-WMF set the point value for this task to 1.
Jdforrester-WMF moved this task from To Triage to TR0: Interrupt on the VisualEditor board.

Change 362130 abandoned by Jforrester:
Set onDiffViewHeader argument defaults = null

Reason:
Not worth doing now.

https://gerrit.wikimedia.org/r/362130

mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:10 PM